Skip to content

/api/v1/facilities/{facilityId}/inventory/count-plans/{id} (PUT)

PUT
/api/v1/facilities/{facilityId}/inventory/count-plans/{id}
curl --request PUT \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inventory/count-plans/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "fromLocationCode": "example", "toLocationCode": "example", "frequencyDays": 1 }'
facilityId
required
string format: uuid
id
required
string format: uuid
object
name
string
nullable
fromLocationCode
string
nullable
toLocationCode
string
nullable
frequencyDays
integer format: int32
nullable

Example generated

{
"name": "example",
"fromLocationCode": "example",
"toLocationCode": "example",
"frequencyDays": 1
}

OK

object
plan
required
object
id
required
string format: uuid
facilityId
required
string format: uuid
name
required
string
fromLocationCode
required
string
nullable
toLocationCode
required
string
nullable
frequencyDays
required
integer format: int32
status
required
string
Allowed values: Active Inactive PendingDelete
nextRunAt
required
string format: date-time
nullable
lastRunAt
required
string format: date-time
nullable
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
locationsInScope
required
integer format: int32
dueToday
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable